//UART.h Headerdatei mit den Definitionen fr die RS232 Ansteuerung		 	 //
//und den RS232-Funktionen													 //
//																			 //
//Andreas Wenzel 19.06.2007													 //
///////////////////////////////////////////////////////////////////////////////

#ifndef UART_h
#define UART_h

#include <stdint.h>

//Definitionen fr die serielle Schnittstelle	
#ifndef F_CPU							//Falls noch unbekannt CPU-Frequenz
#define F_CPU 4000000					//definieren
#endif		
#define UART_BAUD_RATE 19200			//gewnschte BAUD-Rate
#define RXD 0							//Pinnummern der Datenleitungen
#define TXD 1

#define UART_space	UART_send(32)		//"Space"	
#define UART_ret 	UART_send(10)		//"Linefeed"

//Funktionsprototypen
void UART_init();						//UART initialisieren					
void UART_send(char);					//Buchstaben senden
void UART_print(char*);					//String senden

#endif
